> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/akash-akt/rest-api/upgrade-current-plan.md).

# /cosmos/upgrade/v1beta1/current\_plan - Akash

Example code for the cosmos/upgrade/v1beta1/current\_plan REST method. Complete guide on how to use cosmos/upgrade/v1beta1/current\_plan REST method in GetBlock Web3 documentation.

Returns the currently scheduled chain upgrade plan, if any.

## Endpoint

```http
GET /cosmos/upgrade/v1beta1/current_plan
```

## Example

{% code overflow="wrap" %}

```bash
export AKASH_REST=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${AKASH_REST}cosmos/upgrade/v1beta1/current_plan"
```

{% endcode %}

## Response

```json
{
    "plan": null
}
```

## Response Fields

| Field | Type   | Description                     |
| ----- | ------ | ------------------------------- |
| plan  | object | Scheduled upgrade plan, or null |

## Use Cases

* **Ops**: Track scheduled upgrades

## Error Handling

| Error                     | Message       | Description                                       |
| ------------------------- | ------------- | ------------------------------------------------- |
| 400 / Bad request         | Bad request   | A parameter was invalid                           |
| 403 / RBAC: access denied | Access denied | The GetBlock access token is missing or incorrect |
